Escalation Alerts
Alle Operationen rund um Escalation Alerts.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Escalation Alert | escalation_alert |
26 | — | escalation_alert_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/escalation_alerts |
Create escalation_alert | Create a new escalation_alert in the active tenant. |
DELETE |
/v1/escalation_alerts/{id} |
Delete escalation_alert | Soft delete entity. |
GET |
/v1/escalation_alerts/{id} |
Get escalation_alert by id | Fetch a single escalation_alert. |
GET |
/v1/escalation_alerts/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/escalation_alerts/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/escalation_alerts/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/escalation_alerts |
List escalation_alerts | List escalation_alerts for the active tenant. |
PATCH |
/v1/escalation_alerts/{id} |
Patch escalation_alert | JSON Merge Patch update. |
POST |
/v1/escalation_alerts/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/escalation_alerts/{id}/transition |
POST /v1/escalation_alerts/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/escalation_alerts/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/escalation_alerts/{id} |
Replace escalation_alert | Full replace with optimistic locking. |